/*!
  \file orxonox_gui_update.h
  \brief File that holds the class that creates the update-menu.
*/

#ifndef _ORXONOX_GUI_UPDATE_H
#define _ORXONOX_GUI_UPDATE_H

#include "orxonox_gui.h"
#include <stdio.h>
using namespace std;

//! Class that creates the execute-Options.
class OrxonoxGuiUpdate
{
 private:
  Frame* updateFrame;          //!< The Frame that holds the updateOptions.
  Box* updateBox;              //!< The Box that holds the updateOptions.
  Button* updateButton;        //!< The update Button

 public:
  OrxonoxGuiUpdate ();
  ~OrxonoxGuiUpdate ();
  
  Widget* getWidget ();
  

};


#endif /* _ORXONOX_GUI_UPDATE_H */
